Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum Voicemail.PROPERTY

    java.lang.Object
      java.lang.Enum<Voicemail.PROPERTY>
          com.skype.api.Voicemail.PROPERTY

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Voicemail.PROPERTY>

Enclosing class:
  Voicemail

    public static enum Voicemail.PROPERTY

extends java.lang.Enum<Voicemail.PROPERTY>

Properties of the Voicemail class

Enum Constant Summary
`allowed_duration` max allowed duration in seconds, type: int
`chatmsg_guid` GUID of the message that the VM is tied to, type: byte[]
`convo_id` CONVERSATION_ID of corresponding conversation, type: Conversation
`duration` duration in seconds, type: int
`failurereason` type: FAILUREREASON
`partner_dispname` user's display name of the other party, type: String
`partner_handle` registered username of the other party, type: String
`playback_progress` VM playback progress in seconds, type: int
`status` type: STATUS
`subject` subject line, type: String
`timestamp` timestamp of creation, type: int
`type` type: TYPE

Method Summary
`static Voicemail.PROPERTY` | `fromString(java.lang.String s)`
`static Voicemail.PROPERTY` | `get(int code)`
`int` | `getId()`
`static Voicemail.PROPERTY` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Voicemail.PROPERTY[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### type

    public static final Voicemail.PROPERTY type

  type: TYPE

### partner_handle

    public static final Voicemail.PROPERTY partner_handle

  registered username of the other party, type: String

### partner_dispname

    public static final Voicemail.PROPERTY partner_dispname

  user's display name of the other party, type: String

### status

    public static final Voicemail.PROPERTY status

  type: STATUS

### failurereason

    public static final Voicemail.PROPERTY failurereason

  type: FAILUREREASON

### subject

    public static final Voicemail.PROPERTY subject

  subject line, type: String

### timestamp

    public static final Voicemail.PROPERTY timestamp

  timestamp of creation, type: int

### duration

    public static final Voicemail.PROPERTY duration

  duration in seconds, type: int

### allowed_duration

    public static final Voicemail.PROPERTY allowed_duration

  max allowed duration in seconds, type: int

### playback_progress

    public static final Voicemail.PROPERTY playback_progress

  VM playback progress in seconds, type: int

### convo_id

    public static final Voicemail.PROPERTY convo_id

  CONVERSATION_ID of corresponding conversation, type: Conversation

### chatmsg_guid

    public static final Voicemail.PROPERTY chatmsg_guid

  GUID of the message that the VM is tied to, type: byte[]

Method Detail

### values

    public static Voicemail.PROPERTY[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Voicemail.PROPERTY c : Voicemail.PROPERTY.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Voicemail.PROPERTY valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getId

    public int getId()

### get

    public static Voicemail.PROPERTY get(int code)

### fromString

    public static Voicemail.PROPERTY fromString(java.lang.String s)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.